unless defined?(Motion::Project::Config)
  raise 'This file must be required within a RubyMotion project Rakefile.'
end

#require 'motion-require'

# respect the order!
files = [
  'vanity',
  'local_splitters/fixed',
  'local_splitters/regex',
  'national_splitters/dsl',
  'national_splitters/fixed',
  'national_splitters/variable',
  'national_splitters/regex',
  'national_splitters/default',
  'national_splitters/none',
  'national_code',
  'country',
  'trunk_code',
  'country_codes',
  'dsl',
  'countries/austria',
  'countries/bangladesh',
  'countries/belarus',
  'countries/brazil',
  'countries/cambodia',
  'countries/china',
  'countries/georgia',
  'countries/germany',
  'countries/india',
  'countries/indonesia',
  'countries/ireland',
  'countries/italy',
  'countries/japan',
  'countries/kyrgyzstan',
  'countries/latvia',
  'countries/libya',
  'countries/malaysia',
  'countries/moldova',
  'countries/montenegro',
  'countries/namibia',
  'countries/nepal',
  'countries/netherlands',
  'countries/pakistan',
  'countries/paraguay',
  'countries/russia_kazakhstan_abkhasia_south_ossetia',
  'countries/serbia',
  'countries/somalia',
  'countries/south_korea',
  'countries/sweden',
  'countries/taiwan',
  'countries/tajikistan',
  'countries/turkmenistan',
  'countries/ukraine',
  'countries/united_kingdom',
  'countries/uruguay',
  'countries/zimbabwe',
  'countries'
].map { |file| "#{Gem.loaded_specs['phony'].full_gem_path}/lib/phony/#{file}.rb" }

Motion::Require.all(files)
#files.each do |file|
#  require file
#end

#require "#{Gem.loaded_specs['phony'].full_gem_path}/lib/phony.rb"
Motion::Require.all(Dir.glob(File.join(File.expand_path(File.dirname(__FILE__)), 'motion-phony/*.rb')))
